Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractItemView.DropIndicatorPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractItemView.DropIndicatorPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractItemView

    public static final class QAbstractItemView.DropIndicatorPosition

extends java.lang.Enum
implements QtEnumerator

This enum indicates the position of the drop indicator in relation to the index at the current mouse position.

See Also:
  Serialized Form

Field Summary
`static QAbstractItemView.DropIndicatorPosition` | `AboveItem` The item will be dropped above the index.
`static QAbstractItemView.DropIndicatorPosition` | `BelowItem` The item will be dropped below the index.
`static QAbstractItemView.DropIndicatorPosition` | `OnItem` The item will be dropped on the index.
`static QAbstractItemView.DropIndicatorPosition` | `OnViewport` The item will be dropped onto a region of the viewport with no items.

Method Summary
`static QAbstractItemView.DropIndicatorPosition` | `resolve(int value)` Returns the QAbstractItemView$DropIndicatorPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.DropIndicatorPosition` | `valueOf(java.lang.String name)`
`static QAbstractItemView.DropIndicatorPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OnItem

    public static final QAbstractItemView.DropIndicatorPosition OnItem

  The item will be dropped on the index.

### AboveItem

    public static final QAbstractItemView.DropIndicatorPosition AboveItem

  The item will be dropped above the index.

### BelowItem

    public static final QAbstractItemView.DropIndicatorPosition BelowItem

  The item will be dropped below the index.

### OnViewport

    public static final QAbstractItemView.DropIndicatorPosition OnViewport

  The item will be dropped onto a region of the viewport with no items. The way each view handles items dropped onto the viewport depends on the behavior of the underlying model in use.

Method Detail

### values

    public static QAbstractItemView.DropIndicatorPosition[] values()

### valueOf

    public static QAbstractItemView.DropIndicatorPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.DropIndicatorPosition resolve(int value)

  Returns the QAbstractItemView$DropIndicatorPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD